Bug 18794 - OAI/Server.t fails on slow servers
Summary: OAI/Server.t fails on slow servers
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14939
Blocks: 20191
  Show dependency treegraph
 
Reported: 2017-06-12 21:56 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18794: Fix test ListMetadataFormats in OAI/Server.t (1.63 KB, patch)
2017-06-12 21:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
[16.11.x] Bug 18794: Fix test ListMetadataFormats in OAI/Server.t (2.15 KB, patch)
2017-10-05 20:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-06-12 21:56:24 UTC
https://jenkins.koha-community.org/job/Koha_Master_D8/198/consoleFull


#   Failed test 'ListMetadataFormats'
#   at t/db_dependent/OAI/Server.t line 150.
#     Structures begin differing at:
#          $got->{responseDate} = '2017-06-12T14:31:51Z'
#     $expected->{responseDate} = '2017-06-12T14:31:50Z'
# PARAM:---
# verb: ListMetadataFormats
# EXPECTED:---
# ListMetadataFormats:
#   metadataFormat:
#     - metadataNamespace: http://www.openarchives.org/OAI/2.0/oai_dc/
#       metadataPrefix: oai_dc
#       schema: http://www.openarchives.org/OAI/2.0/oai_dc.xsd
#     - metadataNamespace: http://www.loc.gov/MARC21/slim http://www.loc.gov/standards/marcxml/schema/MARC21slim
#       metadataPrefix: marc21
#       schema: http://www.loc.gov/standards/marcxml/schema/MARC21slim.xsd
#     - metadataNamespace: http://www.loc.gov/MARC21/slim http://www.loc.gov/standards/marcxml/schema/MARC21slim
#       metadataPrefix: marcxml
#       schema: http://www.loc.gov/standards/marcxml/schema/MARC21slim.xsd
# request: http://localhost
# responseDate: 2017-06-12T14:31:50Z
# xmlns: http://www.openarchives.org/OAI/2.0/
# xmlns:xsi: http://www.w3.org/2001/XMLSchema-instance
# xsi:schemaLocation: http://www.openarchives.org/OAI/2.0/ http://www.openarchives.org/OAI/2.0/OAI-PMH.xsd
# RESPONSE:---
# ListMetadataFormats:
#   metadataFormat:
#     - metadataNamespace: http://www.openarchives.org/OAI/2.0/oai_dc/
#       metadataPrefix: oai_dc
#       schema: http://www.openarchives.org/OAI/2.0/oai_dc.xsd
#     - metadataNamespace: http://www.loc.gov/MARC21/slim http://www.loc.gov/standards/marcxml/schema/MARC21slim
#       metadataPrefix: marc21
#       schema: http://www.loc.gov/standards/marcxml/schema/MARC21slim.xsd
#     - metadataNamespace: http://www.loc.gov/MARC21/slim http://www.loc.gov/standards/marcxml/schema/MARC21slim
#       metadataPrefix: marcxml
#       schema: http://www.loc.gov/standards/marcxml/schema/MARC21slim.xsd
# request: http://localhost
# responseDate: 2017-06-12T14:31:51Z
# xmlns: http://www.openarchives.org/OAI/2.0/
# xmlns:xsi: http://www.w3.org/2001/XMLSchema-instance
# xsi:schemaLocation: http://www.openarchives.org/OAI/2.0/ http://www.openarchives.org/OAI/2.0/OAI-PMH.xsd
# Looks like you failed 1 test of 28.
[14:32:04] t/db_dependent/OAI/Server.t ...............................
Comment 1 Jonathan Druart 2017-06-12 21:58:28 UTC
Created attachment 64240 [details] [review]
Bug 18794: Fix test ListMetadataFormats in OAI/Server.t

This test may fail on slow servers, it compares the response date with
'now', but both can differ a bit.

https://jenkins.koha-community.org/job/Koha_Master_D8/198/consoleFull

   Failed test 'ListMetadataFormats'
   at t/db_dependent/OAI/Server.t line 150.
     Structures begin differing at:
          $got->{responseDate} = '2017-06-12T14:31:51Z'
     $expected->{responseDate} = '2017-06-12T14:31:50Z'

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2017-06-13 14:51:37 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 3 Fridolin SOMERS 2017-06-14 14:22:42 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 4 Katrin Fischer 2017-06-14 20:41:51 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 5 Jonathan Druart 2017-10-04 15:59:05 UTC
(In reply to Katrin Fischer from comment #4)
> This patch has been pushed to 16.11.x and will be in 16.11.09.

No, it is not in 16.11.x
Comment 6 Katrin Fischer 2017-10-05 20:33:26 UTC
Sorry, this doesn't apply. Please provide a rebased patch!
Comment 7 Jonathan Druart 2017-10-05 20:43:00 UTC
Created attachment 67656 [details] [review]
[16.11.x] Bug 18794: Fix test ListMetadataFormats in OAI/Server.t

This test may fail on slow servers, it compares the response date with
'now', but both can differ a bit.

https://jenkins.koha-community.org/job/Koha_Master_D8/198/consoleFull

   Failed test 'ListMetadataFormats'
   at t/db_dependent/OAI/Server.t line 150.
     Structures begin differing at:
          $got->{responseDate} = '2017-06-12T14:31:51Z'
     $expected->{responseDate} = '2017-06-12T14:31:50Z'
Comment 8 Jonathan Druart 2017-10-05 20:43:37 UTC
I did not execute the tests, please test before pushing.
Comment 9 Katrin Fischer 2017-10-05 21:07:20 UTC
Now really:

This patch has been pushed to 16.11.x and will be in 16.11.13.
Comment 10 Mason James 2017-11-23 22:12:24 UTC
Pushed to 16.05.x, for 16.05.18 release